<template>
  <v-app>
     <v-navigation-drawer app clipped>

       <v-list
        dense
        nav
      >
        <v-list-item
          v-for="item in items"
          :key="item.title"
          :to="item.path"
          link
        >
          <v-list-item-icon>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-icon>

          <v-list-item-content>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    <!-- -->
  </v-navigation-drawer>

  <v-app-bar app clipped-left>
    <!-- -->
  </v-app-bar>

  <!-- Sizes your content based upon application components -->
  <v-content>
    <!-- Provides the application the proper gutter -->
    <v-container fluid>

      <!-- If using vue-router -->
      <router-view>

      </router-view>
    </v-container>
  </v-content>

  <v-footer app>
    <!-- -->
  </v-footer>
  </v-app>
</template>

<script>

export default {
  name: 'App',

  components: {
  },

  data: () => ({
    items:[
      {"title":"Questions","icon":"mdi-help-box","path":"questions"},
      {"title":"Answers", "icon":"mdi-view-dashboard", "path":"answers"}
    ],
    env:process.env
    //
  }),
};
</script>
